function f=cdfMaxEigBetaLaguerre(MAX,beta,n,m,x)

% 
% Computes the CDF of the largest eigenvalue of an n-by-n beta-Laguerre 
% matrix. See Ph.D thesis of Ioana Dumitriu, p. 147
%
% Copyright (c) Plamen Koev, Massachusetts Institute of Technology
% May 17, 2005. See COPYRIGHT.TXT for details.

f=gammam(beta,m,(beta/2)*(m-1)+1)/gammam(beta,m,(beta/2)*(n+m-1)+1) ...
  .*(x/2).^(m*n*beta/2).*exp(-(m/2)*x) ...    
  .*mhgi(MAX,2/beta,[(beta/2)*(m-1)+1],[(beta/2)*(n+m-1)+1],m,x/2);
   
   
